import React from 'react'
import type { ActionType } from '@ant-design/pro-table'
import ProTable from '@ant-design/pro-table'
import { Button } from 'antd'
import { withRouter } from 'react-router-dom'
import './index.scss'

const Activity: React.FC = (props: any) => {
  // @ts-ignore
  const columns: any = [
    {
      title: 'ID',
      dataIndex: 'id',
      search: false
    },
    {
      title: '姓名',
      dataIndex: 'name'
    },
    {
      title: '手机号',
      dataIndex: 'icon'
    },
    {
      title: '报名人数',
      dataIndex: 'icon',
      search: false,
    },
    {
      title: '报名时间',
      dataIndex: 'icon',
      search: false,
    },
    {
      title: '备注',
      dataIndex: 'icon',
      search: false,
    },
    {
      title: '操作',
      dataIndex: 'option',
      search: false,
      width: 250,
      render: (_, row, index, action) => [
        <Button onClick={() => {

        }}>删除</Button>
      ]
    }
  ]

  const actionRef = React.useRef<ActionType>();
  return (
    <React.Fragment>
      <ProTable
        headerTitle={'小区服务/社区活动'}
        actionRef={actionRef}
        rowKey="key"
        request={() => {
          return Promise.resolve({
            total: 200,
            data: [{}],
            success: true,
          });
        }}
        toolBarRender={() => [
          <Button type='primary'>添加</Button>
        ]}
        columns={columns}
      />
    </React.Fragment>
  )
}

export default withRouter(Activity)